Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036271
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2017-06-19 10:512017-06-20 09:10
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revision75e216b9efe2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036271: login page logs error if loaded while logging out

DescriptionIf while in process of log out, login page is loaded, an error message can be logged.

This error occurs when trying to clean up a session that's already invalidated, even it's logged there is no real issue.

This is causing int-initial-pgsql in CI to fail quite often, see [1]: failed builds 2037-2040.

---
[1] https://ci.openbravo.com/job/int-initial-pgsql/ [^]
Steps To Reproduce1. Log in application
2. Log out
3. While logging out stop thread in BaseKernelServlet.invalidateSession before session.invalidate() line (line 0000223:0000093)
4. Open Login window in the same browser
5. Stop login window thread in Login class before vars.clearSession (line ~118)
6. Resume logout thread
7. Resume login page thread
  -> In this thread you'll see:
b3e0edee 2017-06-18 01:58:06,429 [ajp-bio-127.0.0.1-8009-exec-2] ERROR org.openbravo.base.VariablesBase - clearSession error
java.lang.IllegalStateException: getAttributeNames: Session already invalidated
    at org.apache.catalina.session.StandardSession.getAttributeNames(StandardSession.java:1186)
    at org.apache.catalina.session.StandardSessionFacade.getAttributeNames(StandardSessionFacade.java:137)
    at org.openbravo.base.VariablesBase.clearSession(VariablesBase.java:1456)
    at org.openbravo.erpCommon.security.Login.doPost(Login.java:118)
Proposed SolutionIn this case, remove error from logs (simply ignore it).
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0036162 acknowledgedplatform clean up openbravo.log 

-  Notes
(0097473)
hgbot (developer)
2017-06-19 10:56

Repository: erp/devel/pi
Changeset: 75e216b9efe2596f50c1dd1cf9f5ac6a16fa04c8
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Jun 19 10:54:05 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/75e216b9efe2596f50c1dd1cf9f5ac6a16fa04c8 [^]

fixed bug 36271: login page logs error if loaded while logging out

  Don't try to get/remove attributes from HttpSession if it's already invalidated.

  Note HttpSession API doesn't provide a method to check if its status, so only
  way it to catch IllegalStateException.

---
M src-core/src/org/openbravo/base/VariablesBase.java
---
(0097481)
hudsonbot (developer)
2017-06-19 16:23

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2bb472b1616b [^]
Maturity status: Test
(0097499)
caristu (developer)
2017-06-20 09:10

Code reviewed + tested OK.

- Issue History
Date Modified Username Field Change
2017-06-19 10:51 alostale New Issue
2017-06-19 10:51 alostale Assigned To => platform
2017-06-19 10:51 alostale Modules => Core
2017-06-19 10:51 alostale Triggers an Emergency Pack => No
2017-06-19 10:51 alostale Assigned To platform => alostale
2017-06-19 10:51 alostale Review Assigned To => caristu
2017-06-19 10:51 alostale Priority normal => urgent
2017-06-19 10:56 hgbot Checkin
2017-06-19 10:56 hgbot Note Added: 0097473
2017-06-19 10:56 hgbot Status new => resolved
2017-06-19 10:56 hgbot Resolution open => fixed
2017-06-19 10:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/75e216b9efe2596f50c1dd1cf9f5ac6a16fa04c8 [^]
2017-06-19 10:58 alostale Relationship added blocks 0036162
2017-06-19 16:23 hudsonbot Checkin
2017-06-19 16:23 hudsonbot Note Added: 0097481
2017-06-20 09:10 caristu Note Added: 0097499
2017-06-20 09:10 caristu Status resolved => closed
2017-06-20 09:10 caristu Fixed in Version => 3.0PR17Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker